Bug 961261 - haproxy_ctld.rb will be dead when auto scale up
haproxy_ctld.rb will be dead when auto scale up
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 05:25 EDT by xjia
Modified: 2015-07-19 20:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:55:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xjia 2013-05-09 05:25:07 EDT
Description of problem:
If gear-registry.rb use the wrong ip, haproxy_ctld should fix it. But now, the process of haproxy_ctld is dead

Version-Release number of selected component (if applicable):
devenv_3202 

How reproducible:
always

Steps to Reproduce:
1.Create scalable php app, set min gear 2
2. Login the app, check haproxy/conf/gear-registry.db and the process of haproxy_ctld
[phps-jia.dev.rhcloud.com 493134623534982342115328]\> cat haproxy/conf/gear-registry.db
307350353608942102249472@10.62.6.249:php;307350353608942102249472-jia.dev.rhcloud.com
[phps-jia.dev.rhcloud.com 493134623534982342115328]\> ps aux | grep haproxy_ctld
511      17152  0.1  0.2  44812  9692 ?        Sl   05:13   0:00 haproxy_ctld.rb
511      17405  0.0  0.0 103244   824 pts/5    S+   05:13   0:00 grep haproxy_ctld

3.Login the app, and modify haproxy/conf/gear-registry.db. 
307350353608942102249472@1.1.1.1:php;307350353608942102249472-jia.dev.rhcloud.com
4.Wait 2 min
5.Check haproxy/conf/gear-registry.db and the process of haproxy_ctld
  
Actual results:
5. This file is still wrong. And the process of haproxy_ctld is dead 
[phps-jia.dev.rhcloud.com 493134623534982342115328]\> cat haproxy/conf/gear-registry.db
307350353608942102249472@1.1.1.1:php;307350353608942102249472-jia.dev.rhcloud.com
[phps-jia.dev.rhcloud.com 493134623534982342115328]\> ps aux | grep haproxy_ctld
511      11783  0.0  0.0 103244   824 pts/5    S+   05:08   0:00 grep haproxy_ctld

Expected results:
5.[phps-jia.dev.rhcloud.com 493134623534982342115328]\> cat haproxy/conf/gear-registry.db
307350353608942102249472@10.62.6.249:php;307350353608942102249472-jia.dev.rhcloud.com
[phps-jia.dev.rhcloud.com 493134623534982342115328]\> ps aux | grep haproxy_ctld
511      17152  0.1  0.2  44812  9692 ?        Sl   05:13   0:00 haproxy_ctld.rb
511      17405  0.0  0.0 103244   824 pts/5    S+   05:13   0:00 grep haproxy_ctld

Additional info:
Comment 1 xjia 2013-05-13 04:58:02 EDT
Description of problem:
Create a scalable app, establish 200 connections to trigger auto scale up, but haproxy_ctld.rb is broken

Version-Release number of selected component (if applicable):
devenv_3220(v2)

How reproducible:
Always

Steps to Reproduce:
1.Create a scalable php app, ssh into app to check if haproxy_ctld.rb is running
[php-000.dev.rhcloud.com 5190992e7c0ec608ec000001]\> ps -ef |grep haproxy_ctld
501      20887     1  0 04:03 ?        00:00:00 haproxy_ctld.rb                                  
501      21378 18131  0 04:04 pts/1    00:00:00 grep haproxy_ctld

2.Use "ab -c 200 -t 60 https://php-000.dev.rhcloud.com/" to trigger app scale-up

3.Then ssh into app, found that haproxy_ctld.rb was no longer running
[php-000.dev.rhcloud.com 5190992e7c0ec608ec000001]\> ps -ef |grep haproxy_ctld
501      22516 18131  0 04:06 pts/1    00:00:00 grep haproxy_ctld
  
Actual results:
The app did not scaled up automatically, the gear_count is 1.

Expected results:
The app could scale up and down automatically, haproxy_ctld.rb should always be running. 

Additional info:
[php-000.dev.rhcloud.com 5190992e7c0ec608ec000001]\> cat haproxy/logs/scale_events.log 
# Logfile created on 2013-05-13 03:42:16 -0400 by logger.rb/31641
E, [2013-05-13T03:42:16.210952 #5841] ERROR -- : Failed to get information from haproxy
I, [2013-05-13T03:42:25.963847 #6129]  INFO -- : Starting haproxy_ctld
D, [2013-05-13T03:42:26.034731 #6129] DEBUG -- : GEAR_INFO - capacity: 0.0% gear_count: 1 sessions: 0 up/remove_thresh: 90.0%/49.9% sec_left_til_remove: 120 gear_remove_thresh: 0/20
I, [2013-05-13T03:42:29.753651 #6245]  INFO -- : Starting haproxy_ctld
D, [2013-05-13T03:42:29.754615 #6245] DEBUG -- : GEAR_INFO - capacity: 0.0% gear_count: 1 sessions: 0 up/remove_thresh: 90.0%/49.9% sec_left_til_remove: 120 gear_remove_thresh: 0/20
I, [2013-05-13T03:44:53.842943 #6245]  INFO -- : GEAR_UP - capacity: 118.0% gear_count: 1 sessions: 59 up_thresh: 90.0%


[php-000.dev.rhcloud.com 5190992e7c0ec608ec000001]\> cat haproxy/run/haproxy_ctld.rb.output 
An error occurred; try again later: Failed to get information from haproxy
/var/lib/openshift/5190992e7c0ec608ec000001/haproxy/usr/bin/haproxy_ctld.rb:195:in ``': No such file or directory - add-gear -n 000  -a php -u 5190992e7c0ec608ec000001 (Errno::ENOENT)
        from /var/lib/openshift/5190992e7c0ec608ec000001/haproxy/usr/bin/haproxy_ctld.rb:195:in `add_gear'
        from /var/lib/openshift/5190992e7c0ec608ec000001/haproxy/usr/bin/haproxy_ctld.rb:244:in `check_capacity'
        from /var/lib/openshift/5190992e7c0ec608ec000001/haproxy/usr/bin/haproxy_ctld.rb:374:in `<top (required)>'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application.rb:176:in `load'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application.rb:176:in `start_load'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/application.rb:257:in `start'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/controller.rb:69:in `run'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons.rb:139:in `block in run'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/cmdline.rb:105:in `call'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons/cmdline.rb:105:in `catch_exceptions'
        from /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.0.10/lib/daemons.rb:138:in `run'
        from haproxy/usr/bin/haproxy_ctld_daemon.rb:18:in `<main>'
Comment 2 xjia 2013-05-13 05:01:48 EDT
Well, I modify haproxy_ctld.rb as a workaround.
195: res=`add-gear -n #{self.gear_namespace}  -a #{ENV['OPENSHIFT_APP_NAME']} -u #{ENV['OPENSHIFT_APP_UUID']}`
--->
res=`#{ENV['OPENSHIFT_HAPROXY_DIR']}/usr/bin/add-gear -n #{self.gear_namespace}  -a #{ENV['OPENSHIFT_APP_NAME']} -u #{ENV['OPENSHIFT_APP_UUID']}`

203: res=`remove-gear -n #{self.gear_namespace} -a #{ENV['OPENSHIFT_APP_NAME']} -u #{ENV['OPENSHIFT_APP_UUID']}`
--->
res=`#{ENV['OPENSHIFT_HAPROXY_DIR']}/usr/bin/add-gear -n #{self.gear_namespace}  -a #{ENV['OPENSHIFT_APP_NAME']} -u #{ENV['OPENSHIFT_APP_UUID']}`

Then the app can be audo-scaling. And the gear-registry.db can be fixed if it use wrong ip.
Comment 3 Mrunal Patel 2013-05-13 13:47:30 EDT
Thanks for the thorough analysis.
Here is the PR for the fix -
https://github.com/openshift/origin-server/pull/2441
Comment 4 xjia 2013-05-14 04:23:22 EDT
Version:
devenv_3224

Verify:
[root@ip-10-152-133-29 ~]# rhc app create phps php-5.3 -s
Application Options
-------------------
  Namespace:  jia1
  Cartridges: php-5.3
  Gear Size:  default
  Scaling:    yes

Creating application 'phps' ... done

Waiting for your DNS name to be available ... done

Downloading the application Git repository ...
Initialized empty Git repository in /root/phps/.git/
The authenticity of host 'phps-jia1.dev.rhcloud.com (10.152.133.29)' can't be established.
RSA key fingerprint is 51:fd:da:2a:3e:d5:3d:cd:9b:67:7d:54:c5:c8:98:d1.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'phps-jia1.dev.rhcloud.com,10.152.133.29' (RSA) to the list of known hosts.

Your application code is now in 'phps'
ssh
phps @ http://phps-jia1.dev.rhcloud.com/ (uuid: 513715426878903363305472)
-------------------------------------------------------------------------
  Created: 4:18 AM
  Gears:   1 (defaults to small)
  Git URL: ssh://513715426878903363305472@phps-jia1.dev.rhcloud.com/~/git/phps.git/
  SSH:     513715426878903363305472@phps-jia1.dev.rhcloud.com

  php-5.3 (PHP 5.3)
  -----------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  haproxy-1.4 (OpenShift Web Balancer)
  ------------------------------------
    Gears: Located with php-5.3

RESULT:
Application phps was created.
HAProxy instance is started

[root@ip-10-152-133-29 ~]# ssh 513715426878903363305472@phps-jia1.dev.rhcloud.com

    *********************************************************************

    You are accessing a service that is for use only by authorized users.
    If you do not have authorization, discontinue use at once.
    Any use of the services is subject to the applicable terms of the
    agreement which can be found at:
    https://www.openshift.com/legal

    *********************************************************************

    Welcome to OpenShift shell

    This shell will assist you in managing OpenShift applications.

    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
    Shell access is quite powerful and it is possible for you to
    accidentally damage your application.  Proceed with care!
    If worse comes to worst, destroy your application with 'rhc app delete'
    and recreate it
    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!

    Type "help" for more info.

    Note: Your application supports version 2 cartridges.

[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> ps aux | grep haproxy
501       5016  0.0  0.0  15728   944 ?        Ss   04:18   0:00 /usr/sbin/haproxy -f /var/lib/openshift/513715426878903363305472/haproxy//conf/haproxy.cfg
501       5050  0.1  0.2  38228  9092 ?        Sl   04:18   0:00 haproxy_ctld.rb
501       5909  0.0  0.0 103236   856 pts/1    S+   04:19   0:00 grep haproxy
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> exit
exit
Connection to phps-jia1.dev.rhcloud.com closed.
[root@ip-10-152-133-29 ~]# ab -c 200 -t 60  phps-jia1.dev.rhcloud.com/
This is ApacheBench, Version 2.3 <$Revision: 655654 $>
Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/
Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking phps-jia1.dev.rhcloud.com (be patient)
Completed 5000 requests
Completed 10000 requests
Completed 15000 requests
Finished 15484 requests


Server Software:        Apache/2.2.15
Server Hostname:        phps-jia1.dev.rhcloud.com
Server Port:            80

Document Path:          /
Document Length:        5235 bytes

Concurrency Level:      200
Time taken for tests:   60.009 seconds
Complete requests:      15484
Failed requests:        0
Write errors:           0
Total transferred:      86183810 bytes
HTML transferred:       81058740 bytes
Requests per second:    258.03 [#/sec] (mean)
Time per request:       775.116 [ms] (mean)
Time per request:       3.876 [ms] (mean, across all concurrent requests)
Transfer rate:          1402.51 [Kbytes/sec] received

Connection Times (ms)
              min  mean[+/-sd] median   max
Connect:        0    2  49.0      0    3000
Processing:    22  769 677.4    680   14179
Waiting:       15  768 677.5    680   14179
Total:         51  771 680.1    680   14216

Percentage of the requests served within a certain time (ms)
  50%    680
  66%    753
  75%    816
  80%    862
  90%   1120
  95%   1304
  98%   1469
  99%   1496
 100%  14216 (longest request)
[root@ip-10-152-133-29 ~]# ssh 513715426878903363305472@phps-jia1.dev.rhcloud.com

    *********************************************************************

    You are accessing a service that is for use only by authorized users.
    If you do not have authorization, discontinue use at once.
    Any use of the services is subject to the applicable terms of the
    agreement which can be found at:
    https://www.openshift.com/legal

    *********************************************************************

    Welcome to OpenShift shell

    This shell will assist you in managing OpenShift applications.

    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!
    Shell access is quite powerful and it is possible for you to
    accidentally damage your application.  Proceed with care!
    If worse comes to worst, destroy your application with 'rhc app delete'
    and recreate it
    !!! IMPORTANT !!! IMPORTANT !!! IMPORTANT !!!

    Type "help" for more info.

    Note: Your application supports version 2 cartridges.

[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> ps aux | grep haproxy
501       5966  0.0  0.0   4056   552 ?        S    04:19   0:00 scl enable ruby193  ruby /var/lib/openshift/513715426878903363305472/haproxy//usr/bin/add-gear -n jia1 -a phps -u 513715426878903363305472
501       5997  1.3  0.9 130400 34032 ?        Sl   04:19   0:01 ruby /var/lib/openshift/513715426878903363305472/haproxy//usr/bin/add-gear -n jia1 -a phps -u 513715426878903363305472
501       7802  0.0  0.0  15728   924 ?        Ss   04:20   0:00 /usr/sbin/haproxy -f /var/lib/openshift/513715426878903363305472/haproxy//conf/haproxy.cfg
501       7853  0.3  0.2  44324  9200 ?        Sl   04:20   0:00 haproxy_ctld.rb
501       7886  0.1  0.0  11432  1692 ?        Ss   04:20   0:00 /bin/bash /var/lib/openshift/513715426878903363305472/haproxy/hooks/set-gear-endpoints phps jia1 513715426878903363305472 '513715426878903363305472'='513715426878903363305472@10.152.133.29:php;phps-jia1.dev.rhcloud.com' '1046a120bc6f11e2975e22000a98851d'='1046a120bc6f11e2975e22000a98851d@10.152.133.29:php;1046a120bc6f11e2975e22000a98851d-jia1.dev.rhcloud.com'
501       7903  0.0  0.0  11300  1528 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305472/haproxy//bin/deploy 1046a120bc6f11e2975e22000a98851d@10.152.133.29:php
501       7911  0.0  0.0  11300   616 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305472/haproxy//bin/deploy 1046a120bc6f11e2975e22000a98851d@10.152.133.29:php
501       7912  0.0  0.0  11304   940 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305472/haproxy//bin/deploy 1046a120bc6f11e2975e22000a98851d@10.152.133.29:php
501       7917  0.0  0.0  11296  1340 ?        S    04:20   0:00 /bin/bash haproxy/usr/bin/ssh 1046a120bc6f11e2975e22000a98851d@10.152.133.29 gear stop
501       8263  0.0  0.0 103236   856 pts/1    S+   04:21   0:00 grep haproxy
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> ps aux | grep haproxy
501       5966  0.0  0.0   4056   552 ?        S    04:19   0:00 scl enable ruby193  ruby /var/lib/openshift/513715426878903363305472/haproxy//usr/bin/add-gear -n jia1 -a phps -u 513715426878903363305472
501       5997  1.1  0.9 130400 34032 ?        Sl   04:19   0:01 ruby /var/lib/openshift/513715426878903363305472/haproxy//usr/bin/add-gear -n jia1 -a phps -u 513715426878903363305472
501       7802  0.0  0.0  15728   924 ?        Ss   04:20   0:00 /usr/sbin/haproxy -f /var/lib/openshift/513715426878903363305472/haproxy//conf/haproxy.cfg
501       7853  0.1  0.2  44596  9448 ?        Sl   04:20   0:00 haproxy_ctld.rb
501       7886  0.0  0.0  11432  1692 ?        Ss   04:20   0:00 /bin/bash /var/lib/openshift/513715426878903363305472/haproxy/hooks/set-gear-endpoints phps jia1 513715426878903363305472 '513715426878903363305472'='513715426878903363305472@10.152.133.29:php;phps-jia1.dev.rhcloud.com' '1046a120bc6f11e2975e22000a98851d'='1046a120bc6f11e2975e22000a98851d@10.152.133.29:php;1046a120bc6f11e2975e22000a98851d-jia1.dev.rhcloud.com'
501       7903  0.0  0.0  11300  1528 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305472/haproxy//bin/deploy 1046a120bc6f11e2975e22000a98851d@10.152.133.29:php
501       7911  0.0  0.0  11300   616 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305472/haproxy//bin/deploy 1046a120bc6f11e2975e22000a98851d@10.152.133.29:php
501       7912  0.0  0.0  11304   960 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305472/haproxy//bin/deploy 1046a120bc6f11e2975e22000a98851d@10.152.133.29:php
501       8629  0.0  0.0  11296  1344 ?        S    04:21   0:00 /bin/bash haproxy/usr/bin/ssh -l 1046a120bc6f11e2975e22000a98851d 10.152.133.29 rsync --server -vlogDtprze.iLs --delete-after . php/phplib/
501       8638  0.0  0.0 103240   864 pts/1    S+   04:21   0:00 grep haproxy
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\>
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\>
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> ps aux
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
501       5111  0.0  0.3 400132 14048 ?        Ss   04:18   0:00 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       5112  0.0  0.0  32208  1200 ?        S    04:18   0:00 /usr/sbin/rotatelogs /var/lib/openshift/5137154268789
501       5113  0.3  0.0  32208  1212 ?        S    04:18   0:00 /usr/sbin/rotatelogs /var/lib/openshift/5137154268789
501       5918  2.6  0.2 400736  8052 ?        S    04:19   0:03 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       5966  0.0  0.0   4056   552 ?        S    04:19   0:00 scl enable ruby193  ruby /var/lib/openshift/513715426
501       5994  0.0  0.0  11300  1376 ?        S    04:19   0:00 /bin/bash /var/tmp/scljuRvjW
501       5997  1.0  0.9 130400 34032 ?        Sl   04:19   0:01 ruby /var/lib/openshift/513715426878903363305472/hapr
501       6876  1.2  0.2 400736  8052 ?        S    04:20   0:00 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       7802  0.0  0.0  15728   924 ?        Ss   04:20   0:00 /usr/sbin/haproxy -f /var/lib/openshift/5137154268789
501       7853  0.1  0.2  44872  9708 ?        Sl   04:20   0:00 haproxy_ctld.rb
501       7883  0.0  0.0 102404  1876 ?        S    04:20   0:00 sshd: 513715426878903363305472@pts/1
501       7884  0.6  0.0 108560  2232 pts/1    Ss   04:20   0:00 /bin/bash --init-file /usr/bin/rhcsh -i
501       7886  0.0  0.0  11432  1692 ?        Ss   04:20   0:00 /bin/bash /var/lib/openshift/513715426878903363305472
501       7903  0.0  0.0  11300  1528 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305
501       7911  0.0  0.0  11300   616 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305
501       7912  0.0  0.0  11304   960 ?        S    04:20   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305
501       8665  0.0  0.0  11296  1348 ?        S    04:21   0:00 /bin/bash ./haproxy/usr/bin/ssh 1046a120bc6f11e2975e2
501       8666  0.0  0.0  57728  3184 ?        S    04:21   0:00 /usr/bin/ssh -q -o BatchMode=yes -o StrictHostKeyChec
501       8708  0.0  0.0 110224  1176 pts/1    R+   04:21   0:00 ps aux
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> ps aux
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
501       5111  0.0  0.3 400132 14048 ?        Ss   04:18   0:00 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       5112  0.0  0.0  32208  1200 ?        S    04:18   0:00 /usr/sbin/rotatelogs /var/lib/openshift/5137154268789
501       5113  0.3  0.0  32208  1212 ?        S    04:18   0:00 /usr/sbin/rotatelogs /var/lib/openshift/5137154268789
501       5918  2.4  0.2 400736  8052 ?        S    04:19   0:03 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       5966  0.0  0.0   4056   552 ?        S    04:19   0:00 scl enable ruby193  ruby /var/lib/openshift/513715426
501       5994  0.0  0.0  11300  1376 ?        S    04:19   0:00 /bin/bash /var/tmp/scljuRvjW
501       5997  0.9  0.9 130400 34032 ?        Sl   04:19   0:01 ruby /var/lib/openshift/513715426878903363305472/hapr
501       6876  1.0  0.2 400736  8052 ?        S    04:20   0:00 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       7883  0.0  0.0 102404  1876 ?        S    04:20   0:00 sshd: 513715426878903363305472@pts/1
501       7884  0.4  0.0 108560  2232 pts/1    Ss   04:20   0:00 /bin/bash --init-file /usr/bin/rhcsh -i
501       7886  0.0  0.0  11432  1692 ?        Ss   04:20   0:00 /bin/bash /var/lib/openshift/513715426878903363305472
501       8744  0.2  0.0  11428  1560 ?        S    04:21   0:00 /bin/bash -e /var/lib/openshift/513715426878903363305
501       8776  0.0  0.0  15728   680 ?        Ss   04:21   0:00 /usr/sbin/haproxy -f /var/lib/openshift/5137154268789
501       8810  1.0  0.1  34544  7072 ?        Rl   04:21   0:00 haproxy_ctld.rb
501       8813  0.0  0.0 110232  1180 pts/1    R+   04:21   0:00 ps aux
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> cat haproxy/conf
conf/   conf.d/
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> cat haproxy/conf/
gear-registry.db       gear-registry.db.lock  haproxy.cfg            haproxy.cfg.lock
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> cat haproxy/conf/gear-registry.db
1046a120bc6f11e2975e22000a98851d@10.152.133.29:php;1046a120bc6f11e2975e22000a98851d-jia1.dev.rhcloud.com
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> ps aux
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
501       5111  0.0  0.3 400132 14048 ?        Ss   04:18   0:00 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       5112  0.0  0.0  32208  1200 ?        S    04:18   0:00 /usr/sbin/rotatelogs /var/lib/openshift/5137154268789
501       5113  0.3  0.0  32208  1212 ?        S    04:18   0:00 /usr/sbin/rotatelogs /var/lib/openshift/5137154268789
501       5918  2.1  0.2 400736  8052 ?        S    04:19   0:03 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       6876  0.9  0.2 400736  8052 ?        S    04:20   0:00 /usr/sbin/httpd -C Include /var/lib/openshift/5137154
501       7883  0.0  0.0 102404  1876 ?        S    04:20   0:00 sshd: 513715426878903363305472@pts/1
501       7884  0.3  0.0 108560  2264 pts/1    Ss   04:20   0:00 /bin/bash --init-file /usr/bin/rhcsh -i
501       8776  0.0  0.0  15728   880 ?        Ss   04:21   0:00 /usr/sbin/haproxy -f /var/lib/openshift/5137154268789
501       8810  0.1  0.2  44408  9324 ?        Sl   04:21   0:00 haproxy_ctld.rb
501       8835  0.0  0.0 110232  1176 pts/1    R+   04:21   0:00 ps aux
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> cat haproxy/conf/gear-registry.db
1046a120bc6f11e2975e22000a98851d@10.152.133.29:php;1046a120bc6f11e2975e22000a98851d-jia1.dev.rhcloud.com
[phps-jia1.dev.rhcloud.com 513715426878903363305472]\> ps aux | grep haproxy
501       8776  0.0  0.0  15728   880 ?        Ss   04:21   0:00 /usr/sbin/haproxy -f /var/lib/openshift/513715426878903363305472/haproxy//conf/haproxy.cfg
501       8810  0.0  0.2  44672  9484 ?        Sl   04:21   0:00 haproxy_ctld.rb
501       8914  0.0  0.0 103236   856 pts/1    S+   04:22   0:00 grep haproxy

Note You need to log in before you can comment on or make changes to this bug.